﻿<Project Sdk="Microsoft.NET.Sdk">
  <PropertyGroup>
    <OutputType>Exe</OutputType>
    <IPhoneResourcePrefix>Resources</IPhoneResourcePrefix>
    <EnableSGenConc>true</EnableSGenConc>
    <ProvisioningType>automatic</ProvisioningType>
    <TargetFrameworks>net8.0-ios</TargetFrameworks>
    <UseMaui>True</UseMaui>
    <SupportedOSPlatformVersion>11.0</SupportedOSPlatformVersion>
    <AssemblyTitle>XamarinForms.iOS</AssemblyTitle>
    <Product>XamarinForms.iOS</Product>
    <Copyright>Copyright ©  2014</Copyright>
    <AssemblyVersion>1.0.0.0</AssemblyVersion>
    <FileVersion>1.0.0.0</FileVersion>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|iPhoneSimulator' ">
    <MtouchLink>None</MtouchLink>
    <MtouchDebug>true</MtouchDebug>
    <RuntimeIdentifiers>iossimulator-x64</RuntimeIdentifiers>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|iPhoneSimulator' ">
    <MtouchLink>None</MtouchLink>
    <RuntimeIdentifiers>iossimulator-x64</RuntimeIdentifiers>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Debug|iPhone' ">
    <CodesignKey>iPhone Developer</CodesignKey>
    <MtouchDebug>true</MtouchDebug>
    <CodesignEntitlements>Entitlements.plist</CodesignEntitlements>
    <MtouchLink>None</MtouchLink>
    <MtouchInterpreter>-all</MtouchInterpreter>
    <RuntimeIdentifiers>ios-arm64</RuntimeIdentifiers>
  </PropertyGroup>
  <PropertyGroup Condition=" '$(Configuration)|$(Platform)' == 'Release|iPhone' ">
    <CodesignKey>iPhone Developer</CodesignKey>
    <CodesignEntitlements>Entitlements.plist</CodesignEntitlements>
    <RuntimeIdentifiers>ios-arm64</RuntimeIdentifiers>
  </PropertyGroup>
  <ItemGroup>
    <ProjectReference Include="..\XamarinForms\XamarinForms.csproj" />
  </ItemGroup>
  <ItemGroup>
    <PackageReference Include="Microsoft.Maui.Controls" Version="$(MauiVersion)" />
    <PackageReference Include="Microsoft.Maui.Controls.Compatibility" Version="$(MauiVersion)" />
  </ItemGroup>
</Project>